## python-ttfautohint-py 0.5.1

=== src/c/Makefile ===
LIB_NAME := "libttfautohint"

SRC := $(shell dirname $(realpath $(lastword $(MAKEFILE_LIST))))
ROOT := $(shell dirname $(shell dirname $(SRC)))
BUILD := $(ROOT)/build
TMP := $(BUILD)/temp
PREFIX := $(BUILD)/local

CPPFLAGS := -I$(PREFIX)/include
CFLAGS := -g -O2 -fPIC
CXXFLAGS := -g -O2 -fPIC
LDFLAGS := -fPIC -L$(PREFIX)/lib -L$(PREFIX)/lib64

# on Windows, libtool cannot be used to build the ttfautohint.dll, we run
# dllwrap ourselves on the static libraries, so we --disable-shared
# https://lists.gnu.org/archive/html/freetype-devel/2017-12/msg00013.html
# http://lists.gnu.org/archive/html/libtool/2017-12/msg00003.html
LIBTTFAUTOHINT_OPTIONS := --enable-static
ifeq ($(OS), Windows_NT)
  LIBTTFAUTOHINT_OPTIONS += --disable-shared
  LIBTTFAUTOHINT := "$(LIB_NAME).dll"
else
  LIBTTFAUTOHINT_OPTIONS += --enable-shared
  ifeq ($(shell uname -s), Darwin)
    LIBTTFAUTOHINT := "$(LIB_NAME).dylib"
    # on macOS, we want a 64-bit only lib targeting >= 10.9, since harfbuzz >= 2.4
    # requires c++11
    MACOSX_DEPLOYMENT_TARGET ?= 10.9
    CFLAGS   += -m64 -arch x86_64 -arch arm64 -mmacosx-version-min=$(MACOSX_DEPLOYMENT_TARGET)
    CXXFLAGS += -m64 -arch x86_64 -arch arm64 -mmacosx-version-min=$(MACOSX_DEPLOYMENT_TARGET)
    LDFLAGS  += -m64 -arch x86_64 -arch arm64 -mmacosx-version-min=$(MACOSX_DEPLOYMENT_TARGET)
  else ifeq ($(shell uname -s), Linux)
    LIBTTFAUTOHINT := "$(LIB_NAME).so"
  endif
endif

all: libttfautohint

libttfautohint: $(PREFIX)/lib/$(LIBTTFAUTOHINT)

freetype: $(TMP)/.freetype-stamp

harfbuzz: $(TMP)/.harfbuzz-stamp

ttfautohint: $(TMP)/.ttfautohint-stamp

$(TMP)/.freetype-stamp:
	@mkdir -p $(TMP)
	cd $(SRC)/freetype2; ./autogen.sh
	cd $(SRC)/freetype2; ./configure \
	  --without-bzip2 \
	  --without-png \
	  --without-zlib \
	  --without-harfbuzz \
	  --without-brotli \
	  --prefix="$(PREFIX)" \
	  --enable-static \
	  --disable-shared \
	  --enable-freetype-config \
	  PKG_CONFIG=" " \
	  CFLAGS="$(CPPFLAGS) $(CFLAGS)" \
	  CXXFLAGS="$(CPPFLAGS) $(CXXFLAGS)" \
	  LDFLAGS="$(LDFLAGS)"
	cd $(SRC)/freetype2; make
	cd $(SRC)/freetype2; make install
	@touch $(TMP)/.freetype-stamp

$(TMP)/.harfbuzz-stamp: $(TMP)/.freetype-stamp
	@mkdir -p $(TMP)
	cd $(SRC)/harfbuzz; NOCONFIGURE=1 ./autogen.sh
	cd $(SRC)/harfbuzz; ./configure \
	  --disable-dependency-tracking \
	  --disable-gtk-doc-html \
	  --with-glib=no \
	  --with-cairo=no \
	  --with-fontconfig=no \
	  --with-icu=no \
	  --prefix=$(PREFIX) \
	  --enable-static \
	  --disable-shared \
	  CFLAGS="$(CPPFLAGS) $(CFLAGS)" \
	  CXXFLAGS="$(CPPFLAGS) $(CXXFLAGS)" \
	  LDFLAGS="$(LDFLAGS)" \
	  PKG_CONFIG=true \
	  FREETYPE_CFLAGS="$(CPPFLAGS)/freetype2" \
	  FREETYPE_LIBS="$(LDFLAGS) -lfreetype"
	cd $(SRC)/harfbuzz; make
	cd $(SRC)/harfbuzz; make install
	@touch $(TMP)/.harfbuzz-stamp

$(TMP)/.ttfautohint-stamp: $(TMP)/.harfbuzz-stamp
	@mkdir -p $(TMP)
	cd $(SRC)/ttfautohint; ./bootstrap
	cd $(SRC)/ttfautohint; ./configure \
          --disable-dependency-tracking \
          --without-qt \
          --without-doc \
          --prefix="$(PREFIX)" \
          $(LIBTTFAUTOHINT_OPTIONS) \
          CFLAGS="$(CPPFLAGS) -I$(TMP)/ttfautohint/lib $(CFLAGS)" \
          CXXFLAGS="$(CPPFLAGS) -I$(TMP)/ttfautohint/lib $(CXXFLAGS)" \
          LDFLAGS="$(LDFLAGS)" \
          PKG_CONFIG=true \
	  FREETYPE_CFLAGS="$(CPPFLAGS)/freetype2" \
	  FREETYPE_LIBS="$(LDFLAGS) -lfreetype" \
          HARFBUZZ_CFLAGS="$(CPPFLAGS)/harfbuzz" \
          HARFBUZZ_LIBS="$(LDFLAGS) -lharfbuzz -lfreetype"
	cd $(SRC)/ttfautohint; make
	cd $(SRC)/ttfautohint; make install
	@touch $(TMP)/.ttfautohint-stamp

$(PREFIX)/lib/$(LIBTTFAUTOHINT): $(TMP)/.ttfautohint-stamp
ifeq ($(OS), Windows_NT)
	dllwrap -v --def $(SRC)/ttfautohint.def -o $@ \
        $(PREFIX)/lib/libttfautohint.a \
        $(PREFIX)/lib/libharfbuzz.a \
        $(PREFIX)/lib/libfreetype.a
endif

clean:
	@git submodule foreach git clean -fdx .
	@rm -rf $(TMP) $(PREFIX)

.PHONY: clean all libttfautohint freetype harfbuzz ttfautohint

=== debian/changelog ===
python-ttfautohint-py (0.5.1-2) unstable; urgency=medium

  * Add Depends: pkg-resources for version

 -- Bastian Germann <bage@debian.org>  Tue, 22 Jul 2025 08:33:17 +0200

python-ttfautohint-py (0.5.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1101930)

 -- Bastian Germann <bage@debian.org>  Thu, 17 Apr 2025 18:00:21 +0200

=== debian/control ===
Source: python-ttfautohint-py
Section: python
Priority: optional
Maintainer: Bastian Germann <bage@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 python3-setuptools,
 python3-setuptools-scm,
Build-Depends-Indep:
 dh-sequence-python3,
 python3-all,
 python3-fonttools <!nocheck>,
 python3-pytest <!nocheck>,
 libttfautohint-dev,
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.7.2
Homepage: https://github.com/fonttools/ttfautohint-py
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-ttfautohint-py
Vcs-Git: https://salsa.debian.org/python-team/packages/python-ttfautohint-py.git

Package: python3-ttfautohint-py
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
 ${Depends},
 python3-pkg-resources,
Description: Python wrapper for ttfautohint (Python 3)
 A Python wrapper for ttfautohint, a free auto-hinter for TrueType fonts.
 It uses ctypes to load the libttfautohint shared library and call the
 TTF_autohint function.

## python-ttfautohint-py 0.6.0

=== src/c/Makefile ===
SRC := $(shell dirname $(realpath $(lastword $(MAKEFILE_LIST))))
ROOT := $(shell dirname $(shell dirname $(SRC)))
BUILD := $(ROOT)/build
TMP := $(BUILD)/temp
PREFIX := $(BUILD)/local

CPPFLAGS := -I$(PREFIX)/include
CFLAGS := -g -O2 -fPIC
CXXFLAGS := -g -O2 -fPIC
LDFLAGS := -fPIC -L$(PREFIX)/lib -L$(PREFIX)/lib64

LIBTTFAUTOHINT_OPTIONS := --enable-static --disable-shared
ifeq ($(shell uname -s), Darwin)
	# on macOS, we want a 64-bit only lib targeting >= 10.9, since harfbuzz >= 2.4
	# requires c++11
	MACOSX_DEPLOYMENT_TARGET ?= 10.9
	CFLAGS   += -m64 -arch x86_64 -arch arm64 -mmacosx-version-min=$(MACOSX_DEPLOYMENT_TARGET)
	CXXFLAGS += -m64 -arch x86_64 -arch arm64 -mmacosx-version-min=$(MACOSX_DEPLOYMENT_TARGET)
	LDFLAGS  += -m64 -arch x86_64 -arch arm64 -mmacosx-version-min=$(MACOSX_DEPLOYMENT_TARGET)
endif

# On Windows/MINGW, statically link GCC runtime libraries to avoid DLL dependencies
ifneq (,$(findstring MINGW,$(shell uname -s)))
	LDFLAGS += -static -static-libgcc -static-libstdc++
endif

# $(info DEBUG: uname -s returns: $(shell uname -s))
# $(info DEBUG: Final LDFLAGS: $(LDFLAGS))

all: ttfautohint

patches:
	@echo "Applying patches..."
	@$(SRC)/apply_patches.sh

freetype: $(TMP)/.freetype-stamp

harfbuzz: $(TMP)/.harfbuzz-stamp

ttfautohint: $(TMP)/.ttfautohint-stamp

$(TMP)/.freetype-stamp: patches
	@mkdir -p $(TMP)
	cd $(SRC)/freetype2; ./autogen.sh
	cd $(SRC)/freetype2; ./configure \
	  --without-bzip2 \
	  --without-png \
	  --without-zlib \
	  --without-harfbuzz \
	  --without-brotli \
	  --prefix="$(PREFIX)" \
	  --enable-static \
	  --disable-shared \
	  --enable-freetype-config \
	  PKG_CONFIG=" " \
	  CFLAGS="$(CPPFLAGS) $(CFLAGS)" \
	  CXXFLAGS="$(CPPFLAGS) $(CXXFLAGS)" \
	  LDFLAGS="$(LDFLAGS)"
	cd $(SRC)/freetype2; make
	cd $(SRC)/freetype2; make install
	@touch $(TMP)/.freetype-stamp

$(TMP)/.harfbuzz-stamp: $(TMP)/.freetype-stamp
	@mkdir -p $(TMP)
	cd $(SRC)/harfbuzz; NOCONFIGURE=1 ./autogen.sh
	cd $(SRC)/harfbuzz; ./configure \
	  --disable-dependency-tracking \
	  --disable-gtk-doc-html \
	  --with-glib=no \
	  --with-cairo=no \
	  --with-fontconfig=no \
	  --with-icu=no \
	  --prefix=$(PREFIX) \
	  --enable-static \
	  --disable-shared \
	  CFLAGS="$(CPPFLAGS) $(CFLAGS)" \
	  CXXFLAGS="$(CPPFLAGS) $(CXXFLAGS) -DHB_NO_MT" \
	  LDFLAGS="$(LDFLAGS)" \
	  PKG_CONFIG=true \
	  FREETYPE_CFLAGS="$(CPPFLAGS)/freetype2" \
	  FREETYPE_LIBS="$(LDFLAGS) -lfreetype"
	cd $(SRC)/harfbuzz; make
	cd $(SRC)/harfbuzz; make install
	@touch $(TMP)/.harfbuzz-stamp

# --disable-threads since Python itself runs in a single thread anyway; also
# it avoids depending on libwinpthread.dll on Windows, and we get a smaller binary
$(TMP)/.ttfautohint-stamp: $(TMP)/.harfbuzz-stamp
	@mkdir -p $(TMP)
	cd $(SRC)/ttfautohint; ./bootstrap
	cd $(SRC)/ttfautohint; ./configure \
          --disable-dependency-tracking \
          --without-qt \
          --without-doc \
          --prefix="$(PREFIX)" \
          $(LIBTTFAUTOHINT_OPTIONS) \
          --disable-threads \
          CFLAGS="$(CPPFLAGS) -I$(TMP)/ttfautohint/lib $(CFLAGS)" \
          CXXFLAGS="$(CPPFLAGS) -I$(TMP)/ttfautohint/lib $(CXXFLAGS)" \
          LDFLAGS="$(LDFLAGS)" \
          PKG_CONFIG=true \
	  FREETYPE_CFLAGS="$(CPPFLAGS)/freetype2" \
	  FREETYPE_LIBS="$(LDFLAGS) -lfreetype" \
          HARFBUZZ_CFLAGS="$(CPPFLAGS)/harfbuzz" \
          HARFBUZZ_LIBS="$(LDFLAGS) -lharfbuzz -lfreetype"
	cd $(SRC)/ttfautohint; make
	cd $(SRC)/ttfautohint; make install
	@touch $(TMP)/.ttfautohint-stamp

clean:
	@rm -rf $(TMP) $(PREFIX)

.PHONY: clean all patches freetype harfbuzz ttfautohint

=== debian/changelog ===
python-ttfautohint-py (0.6.0-2) unstable; urgency=medium

  * Depend on ttfautohint executable

 -- Bastian Germann <bage@debian.org>  Wed, 08 Oct 2025 13:08:00 +0200

python-ttfautohint-py (0.6.0-1) unstable; urgency=medium

  * Set Python Team as Maintainer
  * New upstream version 0.6.0

 -- Bastian Germann <bage@debian.org>  Thu, 14 Aug 2025 17:24:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-ttfautohint-py
 Section: python
 Priority: optional
-Maintainer: Bastian Germann <bage@debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Bastian Germann <bage@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
@@ -12,7 +13,7 @@
  python3-all,
  python3-fonttools <!nocheck>,
  python3-pytest <!nocheck>,
- libttfautohint-dev,
+ ttfautohint <!nocheck>,
 Testsuite: autopkgtest-pkg-python
 Standards-Version: 4.7.2
 Homepage: https://github.com/fonttools/ttfautohint-py
@@ -26,7 +27,6 @@
  ${misc:Depends},
  ${Depends},
  python3-pkg-resources,
+ ttfautohint,
 Description: Python wrapper for ttfautohint (Python 3)
  A Python wrapper for ttfautohint, a free auto-hinter for TrueType fonts.
- It uses ctypes to load the libttfautohint shared library and call the
- TTF_autohint function.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=ttfautohint-py

%:
	dh $@ --buildsystem=pybuild

override_dh_gencontrol-indep:
	dh_gencontrol -- -VDepends="$(shell dpkg-query -f '$${Depends}' -W libttfautohint-dev | cut -d' ' -f1)"

=== debian/watch ===
version=4
opts="mode=git" https://github.com/fonttools/ttfautohint-py.git \
    refs/tags/v([\d\.]+)
